• 0
Daniel Rech

Can I install digilent.waveforms_3.2.6 without x11?

Question

Digilent Waveforms depends on xdg-utils which depends on x11 and many things.

Can I install waveforms without all of this and how?

Is anyone using this on an embedded device like the Beaglebone Black or Rasberry Pi?

Share this post


Link to post
Share on other sites

2 answers to this question

Recommended Posts

  • 0

Right now I'm just installing it without xdg-utils and keep getting a dpkg error of missing dependencies, I can live with that but I was wondering if there is a better solution.

Share this post


Link to post
Share on other sites
  • 0

For simple setup, to not to have too many packages to install, the WF package contains the Application, Runtime and SDK (dev) too.

In case you don't need the WF GUI Application but only the WF Runtime, you could force installation or extract the package and setup manually the following runtime files:
/usr/lib/libdwf.*
/usr/share/digilent/waveforms/firmware/

The Adept Runtime needs to be installed separately.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now